QGIS Application - Bug report #13638
Cannot load empty Postgis views
2015-10-20 02:06 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression
Assignee: Jurgen Fischer
Category: Data Provider/PostGIS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 21674

Description

Current master cannot load empty Postgis views (=view with no records), even if the user selects a primary key column.

The error message is that "PostgreSQL layer has no primary key". Note that | did select a correct and valid primary key manually.

If one loads an existing project with a reference to an empty Postgis view, the layer appears as "Missing layer".

This is a regression and worked in previous versions.

Thank you for having a look at it.

Associated revisions

Revision 441f6f8c - 2015-10-20 02:42 PM - Jiirgen Fischer

postgres provider: allow detection of empty views (fixes #13638)

History

#1 - 2015-10-20 05:43 AM - Juirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"4416f8cf1c5a500c3e898bfbcdff6757e6d8d73".

#2 - 2015-10-22 01:19 AM - Jiirgen Fischer

- Subject changed from Cannot load emptry Postgis views to Cannot load empty Postgis views
